org.apache.ode.bpel.epr

## Class EndpointFactory

- java.lang.Object
- - org.apache.ode.bpel.epr.EndpointFactory

-     public class EndpointFactory
      extends java.lang.Object

  Factory for `EndpointReference` implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MutableEndpoint` | `convert(javax.xml.namespace.QName targetElmtType, org.w3c.dom.Element sourceEndpoint)` Convert an EPR element into another EPR using the provided target type.
    `static WSAEndpoint` | `convertToWSA(MutableEndpoint source)`
    `static MutableEndpoint` | `createEndpoint(org.w3c.dom.Element endpointElmt)` Creates a ServiceEndpoint using the provided Node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointFactory

          public EndpointFactory()

  - ### Method Detail

    - #### createEndpoint

          public static MutableEndpoint createEndpoint(org.w3c.dom.Element endpointElmt)

      Creates a ServiceEndpoint using the provided Node. The actual endpoint type is detected using the endpoint node (text or element qname).
      Parameters:
        `endpointElmt` -
      Returns:
        the new ServiceEndpoint

    - #### convert

          public static MutableEndpoint convert(javax.xml.namespace.QName targetElmtType,
                                                org.w3c.dom.Element sourceEndpoint)

      Convert an EPR element into another EPR using the provided target type. The target type is actually the qualified name of the root element for the target EPR (i.e wsa:MutableEndpoint, wsdl:service) or null to convert to a simple URL.
      Parameters:
        `targetElmtType` - QName to convert to
        `sourceEndpoint` -
      Returns:
        the converted MutableEndpoint

    - #### convertToWSA

          public static WSAEndpoint convertToWSA(MutableEndpoint source)